Quel version d'adobe flesh player pour debian ?

Bonjour,

Je me demandais quel version pour adobe flash player il fallait que je telecharge.
Il me propose YUM, .tar.gz et .rpm

Je suis nouveau sur linux et je n’y connais pas grand chose pour le moment.

Merci d’avance pour vos réponse.

Bonjour,

Installe flashplugin-nonfree depuis ton gestionnaire de paquets.

J’ai trouvé le gestionnaire de paquets par contre après dans le filtre quand je tape flashplugin il ne trouve rien

Assure toi d’avoir la section contrib dans tes sources de paquets. Soit via la configuration de ton gestionnaire de paquets, soit directement dans le fichier /etc/apt/sources.list (n’hésite pas à copier/coller ici le contenu du fichier).

[edit] correction de l’emplacement du fichier sources.list

Je suis vraiment désolé mais j’ai du mal a comprendre qu’est-ce-que je dois chercher et comment dois-je procédé pour le trouver ?

Lance un terminal et donne nous le résultat de la commande suivante :

[edit] correction de l’emplacement du fichier sources.list

Que veux tu dire par “lance un terminal” ?

https://fr.wikipedia.org/wiki/%C3%89mulateur_de_terminal
Dans le menu, cherche quelque chose comme “gnome terminal”, “konsole” ou “xterm”.

il me met : cat /etc/sources.list Aucun fichier ou dossier de ce type

Oups, désolé, je me suis trompé, c’est /etc/apt/sources.list et non pas /etc/sources.list.

Je me demandais je viens de voir que j’ai deux chose :
1 - termnial
2 - terminal admninistratif

Y a t-il une importance

Le premier ouvre un terminal pour l’utilisateur courant (pour les tâches courantes), alors que le second ouvre un terminal pour l’utilisateur root (pour les tâches d’administration).

bash: /etc/apt/sources.list: Permission non accordée

Utilise le terminal d’admin alors.

Il me marque exactement la meme chose

Ce n’est pas un problème de permission.
/etc/apt/sources.list est un fichier, pas une commande.
Si tu passes ce que tu penses être la commande
/etc/apt/sources.list
le shell ne peut pas l’exécuter.

La commande est

Il ma écrit ceci :

cat /etc/apt/sources.list

deb cdrom:[Debian GNU/Linux 7.1.0 Wheezy - Official amd64 CD Binary-1 20130615-23:06]/ wheezy main

deb cdrom:[Debian GNU/Linux 7.1.0 Wheezy - Official amd64 CD Binary-1 20130615-23:06]/ wheezy main

deb ftp.fr.debian.org/debian/ wheezy main
deb-src ftp.fr.debian.org/debian/ wheezy main

deb security.debian.org/ wheezy/updates main
deb-src security.debian.org/ wheezy/updates main

wheezy-updates, previously known as ‘volatile’

deb ftp.fr.debian.org/debian/ wheezy-updates main
deb-src ftp.fr.debian.org/debian/ wheezy-updates main

Merci etxeberrizahar, je n’avais pas repéré qu’il manquait le cat.

Il faut ajouter la section contrib au fichier. Pour cela, depuis le terminal d’admin :

Ajouter “contrib” à la fin des lignes après le “main” :

[code]#

deb cdrom:[Debian GNU/Linux 7.1.0 Wheezy - Official amd64 CD Binary-1 20130615-23:06]/ wheezy main

deb cdrom:[Debian GNU/Linux 7.1.0 Wheezy - Official amd64 CD Binary-1 20130615-23:06]/ wheezy main

deb http://ftp.fr.debian.org/debian/ wheezy main contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy main contrib

deb http://security.debian.org/ wheezy/updates main contrib
deb-src http://security.debian.org/ wheezy/updates main contrib

wheezy-updates, previously known as ‘volatile’

deb http://ftp.fr.debian.org/debian/ wheezy-updates main contrib
deb-src http://ftp.fr.debian.org/debian/ wheezy-updates main contrib[/code]
Puis utiliser les combinaisons de touches Ctrl+O pour enregistrer et Ctrl+X pour quitter.
Ensuite, pour mettre à jour la liste des paquets disponibles à partir des dépôts :

Et enfin, pour installer le paquet :

Je rajouterai un petit lien sur la gestion de paquets.

alors, a la fin de main j’ai fait un espace et mis contrib la ou il fait
pour ai fait ctrl o puis ctrlx la j’ai entendu un bruit bizarre du coup j’ai voulu fermer avec la croix le terminal et il marque il y a un processus actif dans ce terminal. Fermer le terminal l’interrompra.

Du coup la je n’ai rien fait je sais si ca a marcher est ce que je ferme le terminal ou j’annule.

Je m’appercois qu’utiliser linux est tres compliquer.
Et dire que je voulais juste installer un logiciel…

Annule puis réessaie de fermer nano avec Ctrl+X. Il y a un message qui s’affiche quand tu fais Ctrl+X ?
Si ça ne marche pas, ferme avec la croix. Relance un terminal admin. Vérifie que le fichier a bien été modifié (avec la commande cat /etc/apt/sources.list). Si c’est bien le cas, tu peux continuer la suite.

[quote=“Sylvain”]Je m’appercois qu’utiliser linux est tres compliquer.
Et dire que je voulais juste installer un logiciel…[/quote]
Tu peux arriver au même résultat en utilisant un gestionnaire de paquet graphique. Mais c’est plus facile de te donner une commande à copier/coller, que de t’expliquer qu’il faut cliquer ici et là. Après c’est aussi une question d’habitude. Quand on découvre quelque chose de nouveau, c’est normal d’être un peu perdu.